aboutsummaryrefslogtreecommitdiffstats
path: root/extra/gawk/APKBUILD
diff options
context:
space:
mode:
authorMichael Mason <ms13sp@gmail.com>2009-02-26 21:15:56 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-02-27 07:12:06 +0000
commit0243b32bb955036112db8fbe334ee4b5399c4f6d (patch)
tree7831867bab9ab8da2a5400ce6b6beb8716dd3477 /extra/gawk/APKBUILD
parentd7dcd84ba559e422613d00f2d711b89e7e3e4945 (diff)
downloadaports-0243b32bb955036112db8fbe334ee4b5399c4f6d.tar.gz
aports-0243b32bb955036112db8fbe334ee4b5399c4f6d.tar.bz2
aports-0243b32bb955036112db8fbe334ee4b5399c4f6d.tar.xz
extra/gawk Initial Commit
Diffstat (limited to 'extra/gawk/APKBUILD')
-rw-r--r--extra/gawk/APKBUILD28
1 files changed, 28 insertions, 0 deletions
diff --git a/extra/gawk/APKBUILD b/extra/gawk/APKBUILD
new file mode 100644
index 0000000000..0fc7a69d98
--- /dev/null
+++ b/extra/gawk/APKBUILD
@@ -0,0 +1,28 @@
+# Contributor:
+# Maintainer:
+pkgname=gawk
+pkgver=3.1.6
+pkgrel=0
+pkgdesc="GNU awk pattern-matching language"
+url="http://www.gnu.org/software/gawk/gawk.html"
+license="GPL"
+depends="uclibc"
+makedepends=""
+install=
+subpackages="$pkgname-doc"
+source="http://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.gz"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --disable-nls
+ make || return 1
+ make DESTDIR="$pkgdir" install
+
+}
+
+md5sums="b237751aef53c9ead9644e376bc53386 gawk-3.1.6.tar.gz"